# fn:sum

fn:sum($srcval as xdt:anyAtomicType*) → xdt:anyAtomicType?

Function signature

$arg | xdt:anyAtomicType *
Result | xdt:anyAtomicType

Returns the total of a sequence of numbers or durations

XPath 2.0 Specification

fn:sum($srcval as xdt:anyAtomicType*, $zero as xdt:anyAtomicType?) → xdt:anyAtomicType?

Function signature

$arg | xdt:anyAtomicType *
$zero | xdt:anyAtomicType ?
Result | xdt:anyAtomicType ?

Returns the total of a sequence of numbers, specifying the value to be returned for an empty sequence

XPath 2.0 Specification

Next